Subject: bug#60740: [PATCH 0/2] emoji changes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Feb 2023 14:29:27 +0200

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 04 Feb 2023 13:05:28 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.
> >
> > Would it make sense to install the first patch on the emacs-29 branch
> > and the second on master?  Or did I misunderstand your explanations
> > above?  AFAIU, the first patch solves the immediate issue in this bug,
> > right?
> 
> That's correct and it would make sense to do it like this.  At the same
> time I think that it is risky both to install and not install the second
> patch on emacs-29.  On the one hand past changes to transient did not
> break emoji, even though I did not specifically try to prevent that.  On
> the other the risk of that happening going forward is not zero.  If Lars
> finds the time to look at the refactoring before the pre-release, I
> think it would be best to install it on emacs-29, but if not, I am find
> with it going on master instead.

My suggestion is for now to install the first patch on emacs-29 and
the second one on master.  We can always backport from master to
emacs-29 if we decide so later.

>From my POV at this time, it is important to resolve the few remaining
issues that prevent us from starting the Emacs 29 pretest, and this
issue is one of them.  Which is why I suggest to do the above now, and
consider backporting the second patch to emacs-29 later if we have
time.

Thanks.